# $Revision: 1.4 $, $Date: 2011/08/20 15:41:29 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"

%define		pdir	Tie
%define		pnam	RefHash
%include	/usr/lib/rpm/macros.perl
Summary:	Tie::RefHash - use references as hash keys
Name:		perl-Tie-RefHash
Version:	1.39
Release:	2
# even cpan dont know license
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Tie/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	179d4d02924bd9716e2ffe585cbd36c8
URL:		http://search.cpan.org/dist/Tie-RefHash/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides the ability to use references as hash keys if you
first tie the hash variable to this module. Normally, only the keys of
the tied hash itself are preserved as references; to use references as
keys in hashes-of-hashes, use Tie::RefHash::Nestable, included as part
of Tie::RefHash.

It is implemented using the standard perl TIEHASH interface. Please
see the tie entry in perlfunc(1) and perltie(1) for more information.

The Nestable version works by looking for hash references being stored
and converting them to tied hashes so that they too can have
references as keys. This will happen without warning whenever you
store a reference to one of your own hashes in the tied hash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Tie/RefHash

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Tie/RefHash.pm
%dir %{perl_vendorlib}/Tie/RefHash
%{_mandir}/man3/Tie::RefHash.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tie-RefHash.spec,v $
Revision 1.4  2011/08/20 15:41:29  glen
- package %{perl_vendorlib}/Tie/RefHash dir

Revision 1.3  2011/07/01 14:26:29  marti
- up to 1.39

Revision 1.2  2009/10/16 07:34:48  amateja
- updated to 1.38

Revision 1.1  2008/02/01 21:33:26  agaran
- initial, builds here, rel 1
